Functions
=========

Explain the different types of functions in the Modelverse.

Primitive functions
-------------------

Explain primitive functions:
hardcoded in kernel, no AL equivalent
minimal set of functions to be ported for new kernel

Compiled functions
------------------

Explain compiled functions:
hardcoded in kernel, but AL equivalent
can be ported for efficiency fo the resulting kernel, but not required

Normal functions
----------------

Explain normal functions:
completely in AL, no compiled equivalent
can still be implemented by kernel as compiled for performance, though not required
functions are likely to be flexible
